## dahdi-tools 2.4.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for DAHDI tools
 #
-# Copyright (C) 2001-2008 Digium, Inc.
+# Copyright (C) 2001-2010 Digium, Inc.
 #
 #
 
@@ -70,8 +70,8 @@
 RCCONF_FILE	= /etc/dahdi/init.conf
 MODULES_FILE	= /etc/dahdi/modules
 GENCONF_FILE	= /etc/dahdi/genconf_parameters
-MODPROBE_FILE	= /etc/modprobe.d/dahdi
-BLACKLIST_FILE	= /etc/modprobe.d/dahdi.blacklist
+MODPROBE_FILE	= /etc/modprobe.d/dahdi.conf
+BLACKLIST_FILE	= /etc/modprobe.d/dahdi.blacklist.conf
 
 NETSCR_DIR	:= $(firstword $(wildcard $(DESTDIR)/etc/sysconfig/network-scripts ))
 ifneq (,$(NETSCR_DIR))
@@ -109,13 +109,13 @@
 
 # some tests:
 UTILS		+= patgen pattest patlooptest hdlcstress hdlctest hdlcgen \
-		   hdlcverify timertest
-
-BINS:=fxotune fxstest sethdlc dahdi_cfg dahdi_diag dahdi_monitor dahdi_speed dahdi_test dahdi_scan dahdi_tool
+		   hdlcverify timertest dahdi_maint
+
+BINS:=fxotune fxstest sethdlc dahdi_cfg dahdi_diag dahdi_monitor dahdi_speed dahdi_test dahdi_scan dahdi_tool dahdi_maint
 BINS:=$(filter-out $(MENUSELECT_UTILS),$(BINS))
 MAN_PAGES:=$(wildcard $(BINS:%=doc/%.8))
 
-TEST_BINS:=patgen pattest patlooptest hdlcstress hdlctest hdlcgen hdlcverify timertest
+TEST_BINS:=patgen pattest patlooptest hdlcstress hdlctest hdlcgen hdlcverify timertest dahdi_maint
 # All the man pages. Not just installed ones:
 GROFF_PAGES	:= $(wildcard doc/*.8 xpp/*.8)
 GROFF_HTML	:= $(GROFF_PAGES:%=%.html)
@@ -230,12 +230,14 @@
 	install -m 644 $(MAN_PAGES) $(DESTDIR)$(MAN_DIR)/
 endif
 ifeq (,$(wildcard $(DESTDIR)$(CONFIG_FILE)))
-	$(INSTALL) -D -m 644 system.conf.sample $(DESTDIR)$(CONFIG_FILE)
+	$(INSTALL) -d $(DESTDIR)$(CONFIG_DIR)
+	$(INSTALL) -m 644 system.conf.sample $(DESTDIR)$(CONFIG_FILE)
 endif
 
 install-libs: libs
-	$(INSTALL) -D -m 755 $(LTZ_A) $(DESTDIR)$(LIB_DIR)/$(LTZ_A)
-	$(INSTALL) -D -m 755 $(LTZ_SO) $(DESTDIR)$(LIB_DIR)/$(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER)
+	$(INSTALL) -d -m 755 $(DESTDIR)/$(LIB_DIR)
+	$(INSTALL) -m 755 $(LTZ_A) $(DESTDIR)$(LIB_DIR)/
+	$(INSTALL) -m 755 $(LTZ_SO) $(DESTDIR)$(LIB_DIR)/$(LTZ_SO).$(LTZ_SO_MAJOR_VER).$(LTZ_SO_MINOR_VER)
 ifeq (,$(DESTDIR))
 	if [ `id -u` = 0 ]; then \
 		/sbin/ldconfig || : ;\
@@ -260,7 +262,8 @@
 	/sbin/restorecon -v $(DESTDIR)$(LIB_DIR)/$(LTZ_SO)
   endif
 endif
-	$(INSTALL) -D -m 644 tonezone.h $(DESTDIR)$(INC_DIR)/tonezone.h
+	$(INSTALL) -d -m 755 $(DESTDIR)/$(INC_DIR)
+	$(INSTALL) -m 644 tonezone.h $(DESTDIR)$(INC_DIR)/
 
 install-utils-subdirs:
 	@for dir in $(SUBDIRS_UTILS); do \
@@ -404,7 +407,3 @@
 menuselect/makeopts: makeopts
 	+$(MAKE_MENUSELECT) makeopts
 
-menuselect-tree: dahdi.xml
-	@echo "Generating input for menuselect ..."
-	@build_tools/make_tree > $@
-
