=== xpp/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 SBINDIR		= $(prefix)/sbin
 DATADIR		= $(datadir)/dahdi
 MANDIR		= $(mandir)/man8
-HOTPLUG_USB_DIR	= /etc/hotplug/usb
+HOTPLUG_USB_DIR	= $(sysconfdir)/hotplug/usb
 PERLLIBDIR	:= $(shell eval `perl -V:sitelib`; echo "$$sitelib")
 PERL_DIRS	:= $(shell cd perl_modules; find * -name '[A-Z]*' -type d| xargs)
 PERL_MODS_PAT	:= *.pm $(PERL_DIRS:%=%/*.pm)
@@ -38,7 +38,7 @@
 HOSTCC		?= $(CC)
 
 
-CFLAGS		= -g -Wall $(EXTRA_CFLAGS)
+CFLAGS		+= -g -Wall $(USB_INCLUDE)
 
 %.8: %
 	pod2man --section 8 $^ > $@ || $(RM) $@
@@ -58,17 +58,16 @@
 ABTOOL_OBJS		= astribank_tool.o astribank_usb.o mpp_funcs.o debug.o
 ABALLOW_OBJS		= astribank_allow.o astribank_usb.o mpp_funcs.o debug.o
 
-TARGETS	= .perlcheck
-PROG_INSTALL	= 
+TARGETS	= .perlcheck astribank_is_starting
+PROG_INSTALL	= astribank_is_starting
 MAN_INSTALL	= $(PROG_INSTALL:%=%.8)
 ifeq	(1,$(PBX_USB))
 TARGETS	+= fpga_load		\
 	   astribank_tool	\
 	   astribank_hexload	\
 	   astribank_allow	\
-	   astribank_is_starting	\
 	   test_parse
-PROG_INSTALL	+= fpga_load astribank_tool astribank_hexload astribank_allow astribank_is_starting
+PROG_INSTALL	+= fpga_load astribank_tool astribank_hexload astribank_allow
 endif
 ifneq	(,$(PERLLIBDIR))
 PROG_INSTALL	+= $(PERL_SCRIPTS)
@@ -104,25 +103,27 @@
 endif
 
 fpga_load: fpga_load.o hexfile.o
-	$(CC) -L. -o $@ $^ $(EXTRA_LIBS) -lusb
+fpga_load: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_hexload: $(ABHEXLOAD_OBJS)
-	$(CC) -L. -o $@ $(ABHEXLOAD_OBJS) $(EXTRA_LIBS) -lusb
+astribank_hexload: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_tool: $(ABTOOL_OBJS)
-	$(CC) -L. -o $@ $(ABTOOL_OBJS) $(EXTRA_LIBS) -lusb
+astribank_tool: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_allow: $(ABALLOW_OBJS)
-	$(CC) -L. -o $@ $(ABALLOW_OBJS) $(EXTRA_LIBS) -lusb
+astribank_allow: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
 astribank_is_starting: astribank_is_starting.o
-	$(CC) -L. -o $@ $^ $(EXTRA_LIBS)
+astribank_is_starting: LIBS+=$(EXTRA_LIBS)
 
 fpga_load.o: CFLAGS+=-D_GNU_SOURCE	# We use memrchr()
 
 test_parse: test_parse.o hexfile.o
-	$(CC) -L. -o $@ $^ $(EXTRA_LIBS) -lusb
+test_parse: LIBS+=$(EXTRA_LIBS) $(USB_LIB)
 
+%: %.o
+	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
 
 .perlcheck: $(PERL_SCRIPTS)
 	for i in $^; do perl -I./perl_modules -c $$i || exit 1; done
