=== debian/changelog ===
dahdi-tools (1:2.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #581076, #582094).
  * Patches hardware_rescan, perl_fix_noserial, perl_fix_transportdir,
    astribank_allow_ignoreend, init_unload_modules and wcb4xxp_extra_trunk
    dropped: merged upstream.
  * dahdi-linux 2.3.0 is required (extra config options for dahdi_cfg).
  * Convert to dpkg v.3 format.
  * Standards version: 3.9.1.0 (No change needed.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 13 Mar 2011 23:45:36 +0200

dahdi-tools (1:2.2.1.1-1) unstable; urgency=low

  * New minor upstream release.
  * Patch wcb4xxp_extra_trunk: recognize some extra HFC-[248]S PCI IDs.
  * DEP3 heaaders for all patches in use.
  * Refreshed some patches.
  * Standards version 3.8.4 (no change needed).
  * Use a @debian.org adderss.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 18 Apr 2010 15:53:48 +0300

dahdi-tools (1:2.2.1-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release (Closes: #536257, #564381).
  * Patch 'bashism' dropped: merged upstream. 
  * Patch xpp_no_extra_at dropped: merged upstream. 
  * Add an example genconf_parameters.
  * Compat level 7.
  * Bump standars version to 3.8.3.0 (no change needed)
  * Udev rules are now in dahdi-linux.
  * Patches perl_fix_noserial, perl_fix_transportdir: Fixes for some
    minor perl issues.
  * Add the missing ${misc:Depends}, as per lintian. 
  * Patch astribank_allow_ignoreend: an extra missing patch from upstream. 
  * Patches init_unload_modules and init_unload_oslec: also unload OSLEC
    when unloading all modules.

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Sun, 07 Mar 2010 04:43:13 +1100

dahdi-tools (1:2.2.0-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release.
  * Patch bashism: fixes bashism in waitfor_xpds (Closes: #535865).
  * Patch hardware_rescan: backport Dahdi::Hardware->rescan()
  * Patch no_extra_at: backport of a per/xpp fix. 

  [ Mark Purcell ]
  * Reorder debian/watch to correctly handle upstream -rc

 -- Mark Purcell <msp@debian.org>  Sat, 17 Oct 2009 09:12:40 +1100

dahdi-tools (1:2.2.0~rc3-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release candidate.

  [ Mark Purcell ]
  * Cleanup debian/watch to point to upstream dahdi-tools ;-)
  * Update Standards version -> 3.8.1
  * Fix binary-control-field-duplicates-source

 -- Mark Purcell <msp@debian.org>  Mon, 01 Jun 2009 08:23:38 +1000

dahdi-tools (1:2.2.0~rc2-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release. A matching dahdi-source is needed.
  * Patch echocan_oslec: set oslec as default EC in generated config
  * A proper README.Debian
  * Updated debian/copyright document internal differences in package
    - meet ftp-master needs for NEW

  [ Victor Seva ]
  * fix debian/watch.

 -- Mark Purcell <msp@debian.org>  Wed, 20 May 2009 07:35:30 +1000

dahdi-tools (1:2.1.0.2-1) experimental; urgency=low

  [ Tzafrir Cohen ]
  * Zaptel renamed DAHDI and split to dahdi-linux and dahdi-tools. 
  * This package no longer includes drivers and m-a magic.
  * DAHDI is incompatible (ABI and API) with Zaptel.
  * NEW libtonezone2.0 due to its usage of DAHDI.
  * Programs renamed. E.g. dahdi_cfg instead of ztcfg.
  * Configurations files are now under /etc/dahdi .
  * Using the upstream init.d script. This script is responsible for 
    loading modules unlike the Zaptel one.
  * Depend on groff and man-db for man -Thtml used in the upstream 
    'docs' target.
  * Delete false(?) libtonezone.so.1 symlinks.
  * Add missing dh_perl check (for perl modules).

  [ Mark Purcell ]
  * Add myself to uploaders
  * Upload to experimental while we await NEW & debian-release

 -- Mark Purcell <msp@debian.org>  Sun, 29 Mar 2009 18:07:57 +1100

zaptel (1:1.4.11~dfsg-3) unstable; urgency=low

  * zaptel.init: exit on a different condition: Nicer handling of ztdummy.
  * zaptel.init: Give a sane default to XPP_SYNC. 

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Mon, 03 Nov 2008 09:35:23 +0200

zaptel (1:1.4.11~dfsg-2) unstable; urgency=low

  * Patch xpp_fxs_power: Fixed an issue with hook detection of the Astribank
    FXS module.
  * Don't fail init.d script if fxotune fails. This may happen if running it
    when Asterisk is already running.
  * Bump standards version to 3.8.0.0 .
  * Ignore false lintian warning ("m-a a-i" has "a a").
  * Patch xpp_fxo_cid_always: do always pass PCM if that's what the user
    asked.
  * Patch vzaphfc_proc_root_dir: fix vzaphfc on 2.6.26.
  * Patch wcte12xp_flags: Proper time for irq save flags.
  * Patch headers_2627: Fix location of semaphore.h for 2.6.27 .
  * Patch xpp_fxs_dtmf_leak: Don't play DTMFs to the wrong channel.
  * Patch wctdm_fix_alarm: Fix sending channel alarms.
  * Patch device_class_2626: Fix building 2.6.26 (Closes: #493397).
  * Using dh_lintian for lintian overrides, hence requiring debhelper 6.0.7.
  * Lintian: we know we have direct changes. Too bad we're half-upstream :-(
  * Fix doc-base section names. 

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Thu, 28 Aug 2008 22:58:23 +0300

zaptel (1:1.4.11~dfsg-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Update qozap from bristuff-0.4.0-RC1.
    - fixed duoBRI miniPCI detection in qozap.
    - added support for PCIe variants of duoBRI and quadBRI.
  * Update cwain from bristuff-0.4.0-RC1.
  * Update ztgsm from bristuff-0.4.0-RC1.
    - reduced baudrate (serial interface to gsm modules) to be more robust
      against irq misses in loaded systems
    - improved serial debug output
    - added module parameter "baudrate" (the default is 19200)
    - added AT commands for SIM card selection
    - added AT commands for shutting down/starting GSM modules

  [ Tzafrir Cohen ]
  * New upstream release.
  * Patch xpp_fix_t1 dropped: merged upstream.
  * Finally removing 00list.
  * Patch sigcap_dacs: tell zaphfc and vzaphfc to report support for
    ZT_SIG_DACS. Makes ztscan report then as digital spans.

