=== debian/control ===
Source: dahdi-tools
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Mark Purcell <msp@debian.org>
# groff, man-db and asciidoc are required for generating documentation
Build-Depends: debhelper (>= 7), dahdi-source (>= 1:2.3.0), libnewt-dev, bzip2, libusb-dev, 
 asciidoc, groff, man-db
Standards-Version: 3.9.1
Homepage: http://www.asterisk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/dahdi-tools/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/dahdi-tools/?op=log

Package: dahdi
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}, procps, fxload, dahdi-linux
Conflicts: zaptel
Replaces: zaptel
Description: utilities for using the DAHDI kernel modules
 DAHDI (formly Zaptel) is an interface for telephony devices used by e.g. 
 the Asterisk PBX software. The dahdi-* packages provide the kernel 
 DAHDI kernel modules and their required setup environment.
 .
 This package includes userspace utilities required to configure DAHDI 
 modules.

Package: libtonezone2.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tonezone library (runtime)
 A library for generating tones to be sent through the DAHDI telephony
 interface.

Package: libtonezone-dev
Section: libdevel
Architecture: any
Depends: libtonezone2.0 (= ${binary:Version}), ${misc:Depends}
Description: tonezone library (development)
 A library for generating tones to be sent through the DAHDI telephony
 interface.
 .
 This package contains the development files.
