## dahdi-tools 2.5.0.1

=== Makefile ===
--- 
+++ 
@@ -270,6 +270,12 @@
 		$(MAKE) -C $$dir install; \
 	done
 
+install-tests: tests
+ifneq (,$(TEST_BINS))
+	install -d $(DESTDIR)$(BIN_DIR)
+	install  $(TEST_BINS) $(DESTDIR)$(BIN_DIR)/
+endif
+
 config:
 ifneq (,$(COPY_INITD))
 	$(COPY_INITD)
@@ -401,9 +407,3 @@
 menuselect/gmenuselect: menuselect/makeopts
 	+$(MAKE_MENUSELECT) gmenuselect
 
-menuselect/nmenuselect: menuselect/makeopts
-	+$(MAKE_MENUSELECT) nmenuselect
-
-menuselect/makeopts: makeopts
-	+$(MAKE_MENUSELECT) makeopts
-
