=== debian/changelog ===
dahdi-tools (1:2.5.0.1-2) unstable; urgency=low

  [ Tzafrir Cohen ]
  * Removed libtonezone 1.0 (zaptel) symlinks (Closes: #661396).

 -- Mark Purcell <msp@debian.org>  Sat, 07 Jul 2012 10:53:37 +1000

dahdi-tools (1:2.5.0.1-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.9.2 (no change needed).
  * Architecture: linux-any.
  * Switch to dh
    - Patch remove_dahdi_speed: Patch the source. Don't rm later on.
  *  Compat level 8, while we're at it.
  * A symbols file fir libtonezone. Verified also to match to 2.2.1.1,
    but interface has probably not changed since 2.0 .

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 26 Sep 2011 00:19:17 +0300
